package cia_components.ppc;

//import cia_components.reasoning.OWL_Query_Manager;

public class PPC
{
	long time1;
	long time2;
	long time3;
	long time4;
	
	public static void main( String[] args )
	{
		PPC ppc = new PPC();
	}
		
	public PPC()
	{
		// Read in a new sentence from CDG and create the corresponding Slot objects.
		long start_time1 = System.currentTimeMillis();
		// System.out.println( "Starting Sentence.class" );
		Sentence sentence = new Sentence( 1 );		
		long end_time1 = System.currentTimeMillis();
		time1 = end_time1 - start_time1; 
			
		long start_time2 = System.currentTimeMillis();
		OWL_Query_Manager query_manager = new OWL_Query_Manager();
		long end_time2 = System.currentTimeMillis();
		time2 = end_time2 - start_time2;

		// Assign the plausibility scores based on the query_manager's results and write them into the sentence.
		long start_time3 = System.currentTimeMillis();
		Score_Assigner score_assigner = new Score_Assigner( query_manager, sentence );
		long end_time3 = System.currentTimeMillis();
		time3 = end_time3 - start_time3;
		
		// Return all scores in a cdg-readable format.
		long start_time4 = System.currentTimeMillis();
		Output output = new Output( score_assigner );
		long end_time4 = System.currentTimeMillis();
		time4 = end_time4 - start_time4;
		
		//print_Class_Invocation_Times();
	}
	
	
	private void print_Class_Invocation_Times()
	{
		System.out.println( "\nSentence.class took " + time1 + " ms.");
		System.out.println( "\nOWL_Query_Manager.class took " + time2 + " ms.");
		System.out.println( "\nScore_Assigner.class took " + time3 + " ms.") ;
		System.out.println( "\nOutput.class took " + time4 + " ms.") ;
	}
}
