/* vim: set filetype=cdg :
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#pragma set deduceCompounds on
#pragma set taggerCategoryPath cat
#pragma set locale de_DE
#pragma set anno-categories cat,subcat,cat2,base,number,case,gender,person,flexion,degree,pattern,stress,tense,mood,argword
#pragma set compound-categories NN
#pragma set capitalizable-categories ADJA,PPOSS,PPOSAT,CARD
#pragma set featureHierarchy Features
#pragma set ignorethreshold 0.99
#pragma set templates bycategory
#pragma set tokenizer tokenize.pl
#pragma levelsort SYN REF

#pragma set taggerCommand deutsch-tagger.pl
#pragma tagger on

#pragma predict PP 'PP-attach.pl -t1000 -b1,5 -s ccc,zeitung' cat

m4_include(Grammatik.cdg)
m4_include(AVZ.cdg)
m4_include(Hierarchien.cdg)
m4_include(Lexikon.cdg)
m4_include(Adjektiv-Templates.cdg)
