/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifdef HAVE_CONFIG_H
  #include <config.h>
#endif

#include <stdio.h>
#include <libgen.h>
#include <blah.h>

int main(int argc, char **argv)
{
  String path = "";
  String myBasename, stdBaseName;

  if (argc > 1) {
    path = argv[1];
  }

  myBasename = strBasename(path);
  stdBaseName = basename(path);
  printf("basename of `%s' is `%s'\n", path, myBasename);
  if (strcmp(myBasename, stdBaseName) != 0) {
    printf("should be '%s'\n", stdBaseName);
    return 1;
  }

  return 0;
}
