/////////////////////////////////////////////////////////////////////////////
// Lexikon
//
//////////////////////////////////////////////////////////////////////////////

m4_include(makros.m4)

//////////////////////////////////////////////////////////////////////////////
// Personalpronomina
//////////////////////////////////////////////////////////////////////////////

// Nominativ
ich :=
	[ cat:PPER, number:sg, person:1, case:nom, sort:human];
du :=
	[ cat:PPER, number:sg, person:2, case:nom, sort:human];
er :=
	[ cat:PPER, number:sg, person:3, case:nom, gender:masc, sort:human];
sie :=
	[ cat:PPER, number:sg, person:3, case:nom, gender:fem, sort:human];
es :=
	[ cat:PPER, number:sg, person:3, case:nom, gender:neut, sort:bot];
wir :=
	[ cat:PPER, number:pl, person:1, case:nom, sort:human];
ihr :=
	[ cat:PPER, number:pl, person:2, case:nom, sort:human];
sie :=
	[ cat:PPER, number:pl, person:3, case:nom, sort:bot];
Sie :=
	[ cat:PPER, number:pl, person:3, case:nom, sort:human];

// Accusativ
mich :=
	[ cat:PPERRF, number:sg, person:1, case:acc, sort:human];
dich :=
	[ cat:PPER, number:sg, person:2, case:acc, sort:human];
ihn :=
	[ cat:PPER, number:sg, person:3, case:acc, gender:masc, sort:human];
sie :=
	[ cat:PPER, number:sg, person:3, case:acc, gender:fem, sort:human];
es :=
	[ cat:PPER, number:sg, person:3, case:acc, gender:neut, sort:bot];
sich :=
	[ cat:PPERRF, number:sg, person:3, case:acc, sort:bot];
sich :=
	[ cat:PPERRF, number:pl, person:3, case:acc, sort:bot];

uns :=
	[ cat:PPERRF, number:pl, person:1, case:acc, sort:human];
euch :=
	[ cat:PPER, number:pl, person:2, case:acc, sort:human];
sie :=
	[ cat:PPER, number:pl, person:3, case:acc, sort:bot];
Sie :=
	[ cat:PPER, number:pl, person:3, case:acc, sort:human];

// Dativ
mir :=
	[ cat:PPERRF, number:sg, person:1, case:dat, sort:human];
dir :=
	[ cat:PPER, number:sg, person:2, case:dat, sort:human];
Dir :=
	[ cat:PPER, number:sg, person:2, case:dat, sort:human];
ihm :=
	[ cat:PPER, number:sg, person:3, case:dat, gender:masc, sort:bot];
ihr :=
	[ cat:PPER, number:sg, person:3, case:dat, gender:fem, sort:human];
ihm :=
	[ cat:PPER, number:sg, person:3, case:dat, gender:neut, sort:bot];
uns :=
	[ cat:PPER, number:pl, person:1, case:dat, sort:human];
euch :=
	[ cat:PPER, number:pl, person:2, case:dat, sort:human];
ihnen :=
	[ cat:PPER, number:pl, person:3, case:dat, sort:bot];
Ihnen :=
	[ cat:PPER, number:pl, person:3, case:dat, sort:human];
sich :=
	[ cat:PPERRF, number:sg, person:3, case:dat, sort:bot];
sich :=
	[ cat:PPERRF, number:pl, person:3, case:dat, sort:bot];

// Genitiv
meiner :=
	[ cat:PPER, number:sg, person:1, case:gen, sort:human];
deiner :=
	[ cat:PPER, number:sg, person:2, case:gen, sort:human];
seiner :=
	[ cat:PPER, number:sg, person:3, case:gen, gender:masc, sort:bot];
ihrer :=
	[ cat:PPER, number:sg, person:3, case:gen, gender:fem, sort:bot];
seiner :=
	[ cat:PPER, number:sg, person:3, case:gen, gender:neut, sort:bot];
unser :=
	[ cat:PPER, number:pl, person:1, case:gen, sort:human];
euer :=
	[ cat:PPER, number:pl, person:2, case:gen, sort:human];
ihrer :=
	[ cat:PPER, number:pl, person:3, case:gen, sort:bot];
Ihrer :=
	[ cat:PPER, number:pl, person:3, case:gen, sort:human];

// unpersnliches
man :=
	[ cat:PPER, number:sg, person:3, case:nom, sort:human];
man :=
	[ cat:PPER, number:sg, person:3, case:acc, sort:human];

//////////////////////////////////////////////////////////////////////////////
// Artikel
//////////////////////////////////////////////////////////////////////////////

// Nominativ 
der :=
	[ cat:ARTDEF, case:nom, number:sg, gender:masc, definite:yes ];
die :=
	[ cat:ARTDEF, case:nom, number:sg, gender:fem, definite:yes];
das :=
	[ cat:ARTDEF, case:nom, number:sg, gender:neut, definite:yes ];

// Genitiv
des :=
	[ cat:ARTDEF, case:gen, number:sg, gender:masc, definite:yes ];
der :=
	[ cat:ARTDEF, case:gen, number:sg, gender:fem, definite:yes ];
des :=
	[ cat:ARTDEF, case:gen, number:sg, gender:neut, definite:yes ];

// Dativ
dem :=
	[ cat:ARTDEF, case:dat, number:sg, gender:masc, definite:yes ];
der :=
	[ cat:ARTDEF, case:dat, number:sg, gender:fem, definite:yes ];
dem :=
	[ cat:ARTDEF, case:dat, number:sg, gender:neut, definite:yes ];

// Accusativ
den :=
	[ cat:ARTDEF, case:acc, number:sg, gender:masc, definite:yes ];
die :=
	[ cat:ARTDEF, case:acc, number:sg, gender:fem, definite:yes ];
das :=
	[ cat:ARTDEF, case:acc, number:sg, gender:neut, definite:yes ];

// Plurale
die :=
	[ cat:ARTDEF, case:nom, number:pl, gender:bot, definite:yes ];
der :=
	[ cat:ARTDEF, case:gen, number:pl, gender:bot, definite:yes ];
den :=
	[ cat:ARTDEF, case:dat, number:pl, gender:bot, definite:yes ];
die :=
	[ cat:ARTDEF, case:acc, number:pl, gender:bot, definite:yes ];

// Nominativ
ein :=
	[ cat:ARTINDEF, case:nom, number:sg, gender:masc, definite:no ];
eine :=
	[ cat:ARTINDEF, case:nom, number:sg, gender:fem, definite:no ];
ein :=
	[ cat:ARTINDEF, case:nom, number:sg, gender:neut, definite:no ];

// Accusativ
einen :=
	[ cat:ARTINDEF, case:acc, number:sg, gender:masc, definite:no ];
eine :=
	[ cat:ARTINDEF, case:acc, number:sg, gender:fem, definite:no ];
ein :=
	[ cat:ARTINDEF, case:acc, number:sg, gender:neut, definite:no ];

// Dativ
einem :=
	[ cat:ARTINDEF, case:dat, number:sg, gender:masc, definite:no ];
einer :=
	[ cat:ARTINDEF, case:dat, number:sg, gender:fem, definite:no ];
einem :=
	[ cat:ARTINDEF, case:dat, number:sg, gender:neut, definite:no ];

// Genitiv
eines :=
	[ cat:ARTINDEF, case:gen, number:sg, gender:masc, definite:no ];
einer :=
	[ cat:ARTINDEF, case:gen, number:sg, gender:fem, definite:no ];
eines :=
	[ cat:ARTINDEF, case:gen, number:sg, gender:neut, definite:no ];



jeder :=
[ cat:PROAT, 
  case:nom, 
  number:sg, 
  gender:masc,
  definite:yes
];

welche :=
 [ cat:PWAT,
   case:(nom|acc),
   number:sg,
   gender:fem,
   definite:yes 
];

welchen :=
 [ cat:PWAT,
   case:acc,
   number:sg,
   gender:masc,
   definite:yes 
];

welches :=
 [ cat:PWAT,
   case:(nom|acc),
   number:sg,
   gender:neut,
   definite:yes 
];

kein :=
[ cat:PROAT, 
  sort:bot,
  case:#1(nom|(nom|acc)), 
  number:sg, 
  gender:#1(masc|neut),
  definite:no
];

viel :=
[ cat:PROAT, 
  sort:bot,
  case:top,
  number:sg, 
  gender:bot,
  definite:yes
];

nichts :=
[ cat:PROSN, 
  sort:bot,
  case:#1(nom|gen|dat|acc), 
  number:sg, 
  gender:neut,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      leftpenalty:0.0,	
      cat:NN,	
      case:#1(nom|gen|dat|acc), 
      number:sg, 
      gender:neut,
      flexion:weak
    ]
  ]
];

sowas :=
[ cat:PROSN, 
  sort:bot,
  case:#1(nom|dat|acc), 
  number:sg, 
  gender:neut,
  definite:no
];

was :=
[ cat: PROSN, 
  case:(nom|acc),
  sort:bot
];

bichen :=
[ cat:ARTINDEF,
  definite:no,
  number:sg,
  case:#1(nom|dat|acc),
  person:3,
  gender:neut,
  sort:bot,
  args:
  [ 1:
    [ realized:yes, obl:0.1,	
      rightpenalty:0.0,
      cat:Artikel,
      number:sg,
      case:#1(nom|dat|acc)
    ]
  ]
];

//////////////////////////////////////////////////////////////////////////////
// Relativpronomen
//////////////////////////////////////////////////////////////////////////////

MakePREL(der, nom, sg, masc)
MakePREL(dessen, gen, sg, masc)
MakePREL(dem, dat, sg, masc)
MakePREL(den, acc, sg, masc)

MakePREL(die, nom, sg, fem)
MakePREL(deren, gen, sg, fem)
MakePREL(der, dat, sg, fem)
MakePREL(die, acc, sg, fem)

MakePREL(das, nom, sg, neut)
MakePREL(dessen, gen, sg, neut)
MakePREL(dem, dat, sg, neut)
MakePREL(das, acc, sg, neut)

MakePREL(die, nom, pl, bot)
MakePREL(deren, gen, pl, bot)
MakePREL(denen, dat, pl, bot)
MakePREL(die, acc, pl, bot)


//////////////////////////////////////////////////////////////////////////////
// Demonstrativpronomen
//////////////////////////////////////////////////////////////////////////////

MakePROS(der, nom, sg, masc)
MakePROS(dessen, gen, sg, masc)
MakePROS(dem, dat, sg, masc)
MakePROS(den, acc, sg, masc)

MakePROS(die, nom, sg, fem)
MakePROS(derer, gen, sg, fem)
MakePROS(deren, gen, sg, fem)
MakePROS(der, dat, sg, fem)
MakePROS(die, acc, sg, fem)

MakePROS(das, nom, sg, neut)
MakePROS(dessen, gen, sg, neut)
MakePROS(dem, dat, sg, neut)
MakePROS(das, acc, sg, neut)

MakePROS(die, nom, pl, bot)
MakePROS(derer, gen, pl, bot)
MakePROS(deren, gen, pl, bot)
MakePROS(denen, dat, pl, bot)
MakePROS(die, acc, pl, bot)


// der :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:#1(masc|fem),
//   case:#1(nom|dat),
//   number:sg
// ];

// dessen :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:(masc|neut),
//   case:gen,
//   number:sg
// ];

// dem :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:(masc|neut),
//   case:dat,
//   number:sg
// ];

// den :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:masc,
//   case:acc,
//   number:sg
// ];

// die :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:fem,
//   case:(nom|acc),
//   number:sg
// ];

// derer :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:fem,
//   case:gen,
//   number:sg
// ];

// das :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:neut,
//   case:(nom|acc),
//   number:sg
// ];

// die :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:bot,
//   case:(nom|acc),
//   number:pl
// ];

// denen :=
// [ cat:PROS, 
//   sort:bot,
//   person:3,
//   gender:bot,
//   case:dat,
//   number:pl
// ];

dabei := [ cat:PRAP, case:bei, loctype:essive ];

//////////////////////////////////////////////////////////////////////////////
// Frageworte
//////////////////////////////////////////////////////////////////////////////

wann :=[ cat:PWAV, sort:temporal, modifies:Verb ];
wo :=[ cat:PWAV, sort:local, loctype: essive, modifies:Verb ];
wie :=[ cat:PWAV, sort:quality, case:nom, modifies:Verb ];

//////////////////////////////////////////////////////////////////////////////
// Konjunktionen
//////////////////////////////////////////////////////////////////////////////

da :=[ cat:KOUS ];

da :=[ cat:KOUS ];
weil :=[ cat:KOUS ];

falls :=
[ cat:KOUS, 
  sort:conditional ];

wenn :=
[ cat:KOUS,
  sort:temporal
];

wo :=[ cat:Relativadverb, sort:local, loctype:essive ];

wie :=[ cat:Relativadverb, sort:quality, case:nom ];

/*
so :=
[ cat:KOUS,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:TRUNC,
      word:da
    ]
  ]
];
da := [cat:TRUNC];
*/

beziehungsweise :=[
 cat:KON,
 args:
 [ 1: [ realized:yes, obl:0.1, rightpenalty:0.0, cat:finit ],
   2: [ realized:yes, obl:0.001, leftpenalty:0.0,  cat:finit ]
 ]
];

aber :=[
 cat:KON,
 args:
 [ 1: [ realized:yes, obl:0.1, rightpenalty:0.0, cat:finit ],
   2: [ realized:yes, obl:0.0, leftpenalty:0.0, cat:finit ]
 ]
];

denn :=[
 cat:KON,
 args:
 [ 1: [ realized:yes, obl:0.1, rightpenalty:0.0, cat:finit ],
   2: [ realized:yes, obl:0.0, leftpenalty:0.0, cat:finit ]
 ]
];

und :=[
 cat:KON,
 args:
 [ 1: [ realized:yes, obl:0.1, rightpenalty:0.0, cat:finit ],
   2: [ realized:yes, obl:0.0, leftpenalty:0.0,  cat:finit ]
 ]
];

genauso :=
[ cat:KON,
  args:
  [ 1:
    [ realized:yes, obl:0.001,
      leftpenalty:0.0,
      cat:PWAV,
      word:wie
    ],
    2:
    [ realized:yes, obl:0.001,
      rightpenalty:0.0,
      cat:Adverbial,
      prepsort:top
    ]
  ]
];
  

m4_changecom(`//', `
')

//////////////////////////////////////////////////////////////////////////////
// Adverbien
//////////////////////////////////////////////////////////////////////////////

wenig := 
[ cat: ADV,
  modifies: <Adjektiv, 1.0, Verb, 0.9>,
  args:
  [ 1:
    [ realized:yes, obl:0.0,
      rightpenalty:0.0,
      cat:ARTINDEF,
      word:ein
    ]
  ]
];

einfach := 
[cat: ADV,
 modifies: <Adjektiv, 1.0, Verb, 0.9>
];

jetzt := 
[cat: ADV,
 sort: temporal,
 modifies: Verb
];

halt := 
[cat: ADV,
 modifies: Verb
];

eben := 
[cat: ADV,
 modifies: Verb
];

prinzipiell := 
[cat: ADV,
 modifies: Verb
];

selbst := 
[cat: ADV,
 modifies: <Adverbial, 1, Nominal, 1>
];

neulich := 
[cat: ADV,
 sort: temporal,
 modifies: Verb
];

also := 
[cat: ADV,
 modifies: Verb
];

mal := 
[cat: ADV,
 modifies: <Adverbial, 1, Verb, 0.500000>
];

bereits := 
[cat: ADV,
 modifies: <Adverbial, 1, Verb, 0.900000>
];

vormittags := 
[cat: ADV,
 modifies: Verb
];

nie := 
[cat: ADV,
 sort: temporal,
 modifies: Verb
];

gleich := 
[cat: ADV,
 modifies: <Adverbial, 1, Verb, 1>
];

wieder := 
[cat: ADV,
 modifies: Verb
];

wohl := 
[cat: ADV,
 modifies: Verb
];

sehr := 
[cat: ADV,
 modifies: <Adjektiv, 1, Verb, 0.900000>
];

sowieso := 
[cat: ADV,
 modifies: Verb
];

dahin := 
[cat: ADV,
 case: hin,
 sort: local,
 loctype: lative,
 modifies: Verb
];

darauf := 
[cat: ADV,
 case: auf,
 sort: temporal,
 loctype: essive,
 modifies: <Verb, 1.0, Nominal, 0.9>
];

danach := 
[cat: ADV,
 case: nach,
 sort: temporal,
 modifies: Verb
];

nochmal := 
[cat: ADV,
 modifies: Verb
];

erst := 
[cat: ADV,
 modifies: <Adverbial, 1, Verb, 0.500000>
];

ziemlich := 
[cat: ADV,
 modifies: <Adjektiv, 1, Verb, 0.900000>
];

somit := 
[cat: ADV,
 modifies: Verb
];

gar := 
[cat: ADV,
 modifies: ADV
];

vielleicht := 
[cat: ADV,
 modifies: Verb
];

so := 
[cat: ADV,
 sort:quality,      
 modifies: <ARTINDEF, 1.0, Adjektiv, 1, Adposition, 0.990000, Verb, 0.900000>
];

frh := 
[cat: ADV,
 modifies: Verb
];

aber := 
[cat: ADV,
 modifies: Verb
];

eigentlich := 
[cat: ADV,
 modifies: Verb
];

ja := 
[cat: ADV,
 modifies: Verb
];

da := 
[cat: ADV,
 sort: temporal,
 loctype: essive,
 modifies: Verb
];

dort := 
[cat: ADV,
 sort: local,
 loctype: essive,
 modifies: Verb
];

mehr := 
[cat: ADV,
 modifies: <Adverbial, 1, Verb, 0.500000>
];

nmlich := 
[cat: ADV,
 modifies: Verb
];

grade := 
[cat: ADV,
 modifies: <Adverbial, 1, Verb, 0.500000>
];

fast := 
[cat: ADV,
 modifies: <ADV, 1, Adjektiv, 1, Adposition, 0.900000, Verb, 0.500000>
];

dienstags := 
[cat: ADV,
 sort: day,
 modifies: Verb
];

ganztags := 
[cat: ADV,
 modifies: Verb
];

einmal := 
[cat: ADV,
 modifies: Verb
];

zu := 
[cat: PTKZU,
 modifies: Verb
];

leider := 
[cat: ADV,
 modifies: Verb
];

frher := 
[cat: ADV,
 modifies: Verb
];

natrlich := 
[cat: ADV,
 modifies: Verb
];

deshalb := 
[cat: ADV,
 case: halber,
 sort: top,
 modifies: Verb
];

nachmittags := 
[cat: ADV,
 sort: temporal,
 modifies: Verb
];

ruhig := 
[cat: ADV,
 modifies: <Verb, 1, Adverbial, 0.500000>
];

noch := 
[cat: ADV,
 modifies: <Artikel, 1, Adverbial, 1, Verb, 0.900000>
];

immer := 
[cat: ADV,
 modifies: Verb
];

auch := 
[cat: ADV,
 modifies: <Verb, 1, Adposition, 0.990000, Nominal, 0.500000>
];

nicht := 
[cat: ADV,
 modifies: Verb
];

gemeinsam := 
[cat: ADV,
 modifies: Verb
];

allerdings := 
[cat: ADV,
 modifies: Verb
];

wiederum := 
[cat: ADV,
 modifies: Verb
];

ausnahmsweise := 
[cat: ADV,
 modifies: Verb
];

schon := 
[cat: ADV,
 modifies: <Adverbial, 1, Verb, 0.900000>
];

denn := 
[cat: ADV,
 modifies: Verb
];

nur := 
[cat: ADV,
 modifies: <Nominal, 1, Adverbial, 1, Verb, 0.500000>,
 rightpenalty:0.1
];

etwas := 
[cat: ADV,
 modifies: <Adjektiv, 1, Verb, 0.500000>
];

doch := 
[cat: ADV,
 modifies: Verb
];

lnger := 
[cat: ADV,
 sort: temporal,
 modifies: Verb
];

beruflich := 
[cat: ADV,
 modifies: Verb
];

dann := 
[cat: ADV,
 sort: temporal,
 modifies:Verb
];

hier := 
[cat: ADV,
 sort: local,
 modifies: <Verb, 1, Adposition, 0.900000, Nominal, 0.500000>
];

kurz := 
[cat: ADV,
 modifies: <Adverbial, 1.0, Verb, 1.0>
];


besten :=
[ cat:ADV,
  grade:superlative,
  sort:quality,
  modifies:<Verb, 1.0, Adposition, 0.99>,
  args: 
  [ 1:
    [ realized:yes, obl:0.0,
      rightpenalty:0.0,
      cat:PTKSUP,
      word:am
    ]
  ]      
];

zwar := 
[cat: ADV,
 modifies: Verb
];

ganz := 
[cat: ADV,
 modifies: Adjektiv
];

montags := 
[cat: ADV,
 sort: temporal,
 modifies: <Verb, 1, Adposition, 0.9 >
];

ganztgig := 
[cat: ADV,
 sort: temporal,
 modifies: Verb
];

wunderbar := 
[cat: ADV,
 modifies: Verb
];

vorher := 
[cat: ADV,
 sort:temporal,
 modifies: Verb
];

etwa := 
[cat: ADV,
 modifies: <Adverbial, 1.0, Nominal, 0.1>
];

gern := 
[cat: ADV,
 modifies: Verb
];

lange := 
[ cat: ADV,
  sort: temporal,      
  modifies: Verb
];

trotzdem := 
[cat: ADV,
 sort: top,
 modifies: Verb
];

//////////////////////////////////////////////////////////////////////////////
// Adpositionen
//////////////////////////////////////////////////////////////////////////////

// Der `case' einer Adposition ist ihre kleingeschriebene Form.
// Jede neue Adposition sollte daher ein neues Blatt unter `prepositional'
// im Verband `Kasus' einfhren.

um :=
[ cat:APPR,
  case:um,
  sort:temporal,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc
    ] 
  ]
];

bei :=
[ cat:APPR,
  case:bei,
  sort:top,
  loctype:essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:dat 
    ] 
  ] 
];

an :=
[ cat:APPR, 
  sort:top,
  case:an, 
  loctype:#1( lative|essive ),
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal, 
      case:#1( acc|dat )
    ]
  ]
];

in :=
[ cat:APPR,
  sort:top,
  case:in, 
  loctype:#1( lative|essive ),
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal,
      case:#1( acc|dat )
    ]
  ]
];

nach :=
[ cat:APPR,
  sort:top,
  case:nach, 
  loctype:essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal,
      case:dat
    ]
  ]
];

auf :=
[ cat:APPR,
  sort:top,
  case:auf, 
  loctype:#1( lative|essive ),
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal,
      case:#1( acc|dat )
    ]
  ]
];


ab :=
[ cat:APPR, 
  sort:top,
  case:ab, 
  loctype:(lative|essive),
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal, 
      case:dat,
      sort:temporal
    ]
  ]
];


fr :=
[ cat:APPR,
  case:fr,
  sort:top,
  loctype:essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc 
    ] 
  ] 
];


zu :=
[ cat:APPR,
  sort:top,
  loctype:lative,
  case:zu, 
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal, 
      case:dat
    ]
  ]
];


von :=
[ cat:APPR,
  case:von,
  sort:top,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:dat
    ] 
  ]
];

bis :=
[ cat:APPR,
  case:bis,
  sort:temporal,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      sort:temporal,
      cat:Nominal
    ] 
  ]
];

statt :=
[ cat:APPR,
  case:statt,
  sort:top,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      case:gen,
      sort:top,
      cat:Nominal
    ] 
  ]
];

spter :=
[ cat:APPO,
  case:spter,
  sort:temporal,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      sort:temporal
    ] 
  ] 
];

auer :=
[ cat:APPR,
  case:auer,
  sort:top,
  loctype: essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      case:dat,
      sort:top,
      cat:Nominal
    ] 
  ]
];

hindurch :=
[ cat:APPO,
  case:hindurch,
  sort:top,
  loctype: essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      case:acc,
      sort:temporal,
      cat:Nominal
    ] 
  ]
];

ber :=
[ cat:APPO,
  case:hindurch,
  sort:top,
  loctype: essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      case:acc,
      sort:temporal,
      cat:Nominal
    ] 
  ]
];

mit :=
[ cat:APPR,
  case:mit,
  sort:top,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:dat
    ] 
  ]
];

als :=
[ cat:APPR,
  case:als,
  sort:top,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal
    ] 
  ]
];

bezglich :=
[ cat:APPR,
  case:bezglich,
  sort:top,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:gen
    ] 
  ]
];


// ======================================================================
// Zahlen
// ======================================================================

halb :=
[ cat:CARD,
  case:bot,
  number:sg,
  gender:bot,
  value:0.5 
];

viertel :=
[ cat:CARD,
  case:bot,
  number:sg,
  gender:bot,
  value:0.25 
];

drei :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:3 
];

vier :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:4 
];

fnf :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:5 
];

acht :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:8 
];

neun :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:9 
];

zehn :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:10 
];

elf :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:11 
];

zwlf :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:12 
];

dreizehn :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:13 
];

vierzehn :=
[ cat:CARD,
  number:pl,
  gender:bot,
  value:14 
];

fnfzehn :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:15 
];

achtzehn :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:18 
];

dreiig :=
[ cat:CARD,
  number:pl,
  gender:bot,
  value:30 
];

fnfundvierzig :=
[ cat:CARD,
  case:bot,
  number:pl,
  gender:bot,
  value:45 
];

zweihundertdrei :=
[ cat:CARD,
  value:203 
];


// ======================================================================
// Partikeln
// ======================================================================

am :=[ cat:PTKSUP ];       

an :=[ cat:PTKVZS ];       
auf :=[ cat:PTKVZS ];       
aus :=[ cat:PTKVZS ];       
Bescheid :=[ cat:PTKVZS ];       
ein :=[ cat:PTKVZS ];       
fest :=[ cat:PTKVZS ];       
frei :=[ cat:PTKVZS ];       
leid :=[ cat:PTKVZS ];       
richtig :=[ cat:PTKVZS ];       
vor :=[ cat:PTKVZS ];       
zusammen :=[ cat:PTKVZS ];       
zu_Ende :=[ cat:PTKVZS ];       

//////////////////////////////////////////////////////////////////////////////
// Substituierende Demonstrativpronomen (PROSD)
//////////////////////////////////////////////////////////////////////////////


diesem :=
[ cat:PROSD, 
  sort:bot,
  case:dat, 
  number:sg, 
  gender:(masc|neut),
  definite:yes
];

diesen :=
[ cat:PROSD, 
  sort:bot,
  case:acc, 
  number:sg, 
  gender:masc,
  definite:yes
];

dieser :=
[ cat:PROSD,
  sort:bot,
  case:nom,
  number:sg,
  gender:masc,
  definite:yes
];

diese :=
[ cat:PROSD,
  sort:bot,
  case:nom,
  number:sg,
  gender:fem,
  definite:yes
];

dieses :=
[ cat:PROSD,
  sort:bot,
  case:nom,
  number:sg,
  gender:neut,
  definite:yes
];

diese :=
[ cat:PROSD,
  sort:bot,
  case:nom,
  number:pl,
  gender:(masc|fem|neut),
  definite:yes
];

dieses :=
[ cat:PROSD,
  sort:bot,
  case:gen,
  number:sg,
  gender:(masc|neut),
  definite:yes
];

dieser :=
[ cat:PROSD,
  sort:bot,
  case:gen,
  number:sg,
  gender:fem,
  definite:yes
];

dieser :=
[ cat:PROSD,
  sort:bot,
  case:gen,
  number:pl,
  gender:(masc|fem|neut),
  definite:yes
];

dieser :=
[ cat:PROSD,
  sort:bot,
  case:dat,
  number:sg,
  gender:fem,
  definite:yes
];

diesen :=
[ cat:PROSD,
  sort:bot,
  case:dat,
  number:pl,
  gender:(masc|fem|neut),
  definite:yes
];

diese :=
[ cat:PROSD,
  sort:bot,
  case:acc,
  number:sg,
  gender:fem,
  definite:yes
];

diese :=
[ cat:PROSD,
  sort:bot,
  case:acc,
  number:sg,
  gender:neut,
  definite:yes
];

diese :=
[ cat:PROSD,
  sort:bot,
  case:acc,
  number:pl,
  gender:(masc|fem|neut),
  definite:yes
];


//////////////////////////////////////////////////////////////////////////////
// Attributierende Possesivpronomen (PPOSAT)
//////////////////////////////////////////////////////////////////////////////

MakePPOSAT(mein, 1, sg, yes)
MakePPOSAT(mein, 1, pl, yes)

MakePPOSAT(dein, 2, sg, yes)
MakePPOSAT(dein, 2, pl, yes)

MakePPOSAT(sein, 3, sg, yes)
MakePPOSAT(sein, 3, pl, yes)

MakePPOSAT(ihr, 3, sg, yes)
MakePPOSAT(ihr, 3, pl, yes)

MakePPOSAT(unser, 1, sg, yes)
MakePPOSAT(unser, 1, pl, yes)

MakePPOSAT(Ihr, 3, sg, yes)
MakePPOSAT(Ihr, 3, pl, yes)


euer :=
[ cat:PPOSAT,
  person:2,
  case:nom,
  number:sg,
  gender:masc,
  definite:yes
];
eures :=
[ cat:PPOSAT,
  person:2,
  case:gen,
  number:sg,
  gender:masc,
  definite:yes
];
eurem :=
[ cat:PPOSAT,
  person:2,
  case:dat,
  number:sg,
  gender:masc,
  definite:yes
];
euren :=
[ cat:PPOSAT,
  person:2,
  case:acc,
  number:sg,
  gender:masc,
  definite:yes
];
eure :=
[ cat:PPOSAT,
  person:2,
  case:nom,
  number:sg,
  gender:fem,
  definite:yes
];
eurer :=
[ cat:PPOSAT,
  person:2,
  case:gen,
  number:sg,
  gender:fem,
  definite:yes
];
eurer :=
[ cat:PPOSAT,
  person:2,
  case:dat,
  number:sg,
  gender:fem,
  definite:yes
];
eure :=
[ cat:PPOSAT,
  person:2,
  case:acc,
  number:sg,
  gender:fem,
  definite:yes
];
euer :=
[ cat:PPOSAT,
  person:2,
  case:nom,
  number:sg,
  gender:neut,
  definite:yes
];
eures :=
[ cat:PPOSAT,
  person:2,
  case:gen,
  number:sg,
  gender:neut,
  definite:yes
];
eurem :=
[ cat:PPOSAT,
  person:2,
  case:dat,
  number:sg,
  gender:neut,
  definite:yes
];
euer :=
[ cat:PPOSAT,
  person:2,
  case:acc,
  number:sg,
  gender:neut,
  definite:yes
];

eure :=
[ cat:PPOSAT,
  person:2,
  case:nom,
  number:pl,
  gender:masc,
  definite:yes
];
eurer :=
[ cat:PPOSAT,
  person:2,
  case:gen,
  number:pl,
  gender:masc,
  definite:yes
];
euren :=
[ cat:PPOSAT,
  person:2,
  case:dat,
  number:pl,
  gender:masc,
  definite:yes
];
eure :=
[ cat:PPOSAT,
  person:2,
  case:acc,
  number:pl,
  gender:masc,
  definite:yes
];
eure :=
[ cat:PPOSAT,
  person:2,
  case:nom,
  number:pl,
  gender:fem,
  definite:yes
];
eurer :=
[ cat:PPOSAT,
  person:2,
  case:gen,
  number:pl,
  gender:fem,
  definite:yes
];
euren :=
[ cat:PPOSAT,
  person:2,
  case:dat,
  number:pl,
  gender:fem,
  definite:yes
];
eure :=
[ cat:PPOSAT,
  person:2,
  case:acc,
  number:pl,
  gender:fem,
  definite:yes
];
eure :=
[ cat:PPOSAT,
  person:2,
  case:nom,
  number:pl,
  gender:neut,
  definite:yes
];
eurer :=
[ cat:PPOSAT,
  person:2,
  case:gen,
  number:pl,
  gender:neut,
  definite:yes
];
euren :=
[ cat:PPOSAT,
  person:2,
  case:dat,
  number:pl,
  gender:neut,
  definite:yes
];
eure :=
[ cat:PPOSAT,
  person:2,
  case:acc,
  number:pl,
  gender:neut,
  definite:yes
];


//////////////////////////////////////////////////////////////////////////////
// Attributive Adjektive (ADJA), prdikative Adjektive (ADJP)
//////////////////////////////////////////////////////////////////////////////

MakeADJ(abgesprochen, abgesprochener, abgesprochenst, negotiate,
	`args: [ 1: [ realized:no, obl:0.0, sort:human ], 2: [ realized:no, obl:0.0, sort:appointment ] ]')

MakeADJspecial(ander,,,anders,,,quality,)

MakeADJspecial(beid,,,beide,,,quality,)

MakeADJ(belegt, belegter, belegtest, quality,)

MakeADJ(gut, besser, best, quality,)

MakeADJ(bestimmt, bestimmter, bestimmtest, quality,)

MakeADJ(botanisch, botanischer, botanischst, quality,)

MakeADJ(erfolgreich, erfolgreicher, erfolgreichst, quality,)

MakeADJ(frei, freier, freiest, quality,)

MakeADJ(fortlaufend, fortlaufender, fortlaufendst, quality,)

MakeADJ(ganz,,, quality,)

MakeADJ(gehalten,,, state,
  	`args: [ 1: [ realized:no, obl:0.0, sort:human ], 2: [ realized:no, obl:0.1, sort:appointment ] ]')

MakeADJ(gemacht,,, quality,)

MakeADJ(gelegen, gelegener, gelegenst, quality,)

MakeADJ(knapp, knapper, knappst, judgement,)

MakeADJ(laut, lauter, lautest, quality,)

MakeADJ(leitend, leitender, leitendst, quality,)

MakeADJspecial(,,letzt,,,letzte,quality,)

MakeADJ(lieb, lieber, liebst, quality,)

MakeADJ(locker, lockerer, lockerst, quality,)

MakeADJ(mglich, mglicher, mglichst, quality,
        `args: [1: [ realized:yes, obl:0.9, cat:INFZU] ]')

MakeADJ(,,nchst,quality,)

MakeADJ(normal, normaler, normalst, quality,)

MakeADJspecial(,,,okay,,,judgement,)

MakeADJ(passend, passender, passendst, judgement,)

MakeADJ(recht, rechter, rechtest, quality,)

MakeADJ(schlecht, schlechter, schlechtest, quality,)

MakeADJ(schn, schner, schnst, quality,)

MakeADJ(spt, spter, sptest, judgement,)

MakeADJspecial(,,,super,,,quality,)

MakeADJ(ungeschickt, ungeschickter, ungeschicktest, quality,)

MakeADJ(verschieden, verschiedener, verschiedenst, quality,)

MakeADJ(voll, voller, vollst, judgement,)


MakeNumberADJ(erst, 1)
MakeNumberADJ(zweit, 2)
MakeNumberADJ(dritt, 3)
MakeNumberADJ(viert, 4)
MakeNumberADJ(fnft, 5)
MakeNumberADJ(sechst, 6)
//MakeNumberADJ(siebt, 7)
MakeNumberADJ(acht, 8)
MakeNumberADJ(neunt, 9)
MakeNumberADJ(zehnt, 10)
// MakeNumberADJ(elft, 11)
MakeNumberADJ(zwlft, 12)
MakeNumberADJ(dreizehnt, 13)
MakeNumberADJ(vierzehnt, 14)
MakeNumberADJ(fnfzehnt, 15)
MakeNumberADJ(sechzehnt, 16)
// MakeNumberADJ(siebzehnt, 17)
// MakeNumberADJ(achtzehnt, 18)
// MakeNumberADJ(neunzehnt, 19)
MakeNumberADJ(zwanzigst, 20)
// MakeNumberADJ(einundzwanzigst, 21)
// MakeNumberADJ(zweiundzwanzigst, 22)
// MakeNumberADJ(dreiundzwanzigst, 23)
// MakeNumberADJ(vierundzwanzigst, 24)
// MakeNumberADJ(fnfundzwanzigst, 25)
// MakeNumberADJ(sechsundzwanzigst, 26)
// MakeNumberADJ(siebenundzwanzigst, 27)
// MakeNumberADJ(achtundzwanzigst, 28)
// MakeNumberADJ(neunundzwanzigst, 29)
// MakeNumberADJ(dreiig, 30)
// MakeNumberADJ(einunddreiig, 31)

//////////////////////////////////////////////////////////////////////////////
// Nomen
//////////////////////////////////////////////////////////////////////////////

MakeNNspecial(Ambiente, Ambientes, Ambiente, Ambiente,,,,, neut, yes,
              no, place, 1, 0.1,, Determiner)

MakeNN(andere, -, anderen, -n, masc, weak, yes, no, bot, 1, 0.1, 0.9,
       Determiner)

MakeNN(Annahme, -, Annahmen, -n, fem, weak, yes, no, state, 1,
       0.1, 0.9, Determiner)

MakeNN(Aprilwoche, -, Aprilwochen, -n, fem, weak, yes, yes, temporal, 1,
       0.1, 0.9, Determiner)

MakeNN(Arzttermin, -, Arzttermine, -e, masc, strong, yes, no, appointment,
       1, 0.1, 0.9, Determiner)

MakeNN(Atmosphre, -, Atmospren, -n, fem, weak, yes, no, place, 1,
       0.1, 0.9, Determiner)

MakeNN(Auswahl, -, Auswahlen, -en, fem, weak, yes, no, concept, 1,
       0.1, 0.9, Determiner)

MakeNN(Beispiel, -, Beispiele, -e, neut, strong, yes, no, concept, 1,
       0.1, 0.9, Determiner)

MakeNNspecial(Bereitschaft, Bereitschaft, Bereitschaft, Bereitschaft,,,,,
              fem, yes, no, concept, 2, 0.1,, Determiner, 0.1,, INFZU)

MakeNNspecial(Berlin, Berlins, Berlin, Berlin,,,,, neut, no, no, place, 0)

MakeNN(Besorgung, -, Besorgungen, -en, fem, weak, yes, no, appointment,
       1, 0.1, 0.9, Determiner)

MakeNN(Besprechung, -, Besprechungen, -en, fem, weak, yes, no, appointment,
       1, 0.1, 0.9, Determiner)

MakeNN(Bro, -, Bros, -s, neut, strong, yes, no, place, 1, 0.1, 0.9,
       Determiner)

MakeNN(Datum, -, Daten, -n, neut, mixed, yes, no, time, 1, 0.1, 0.9,
       Determiner)

MakeNN(Dienstagnachmittag, -, Dienstagnachmittage, -e, masc, strong, yes,
       yes, afternoon, 1, 0.9, 0.9, Determiner)

MakeNN(Doktorandentreffen, -n, Doktorandentreffen, -, neut, strong, yes,
       no, appointment, 1, 0.1, 0.9, Determiner)

MakeNN(Donnerstagvormittag, -, Donnerstagvormittage, -e, masc, strong,
       yes, no, temporal, 1, 0.9, 0.9, Determiner)

MakeNN(Feierabend, -, Feierabende, -e, masc, strong, yes, no, concept,
       1, 0.9, 0.9, Determiner)

MakeNN(Firma, -, Firmen, -en, fem, weak, yes, no, concept, 1, 0.1, 0.9,
       Determiner)

MakeNNspecial(Ganze, Ganzen, Ganzen, Ganze,,,,, neut, yes, no, bot, 1,
              0.1,, Determiner)

MakeNN(Garten, -n, Grten, -, masc, strong, yes, no, place, 1, 0.1, 0.9,
       Determiner)

MakeNN(Gebude, -, Gebude, -, neut, strong, yes, no, place, 1, 0.1, 0.9,
       Determiner)

MakeNN(Geburtstag, -, Geburtstage, -e, masc, strong, yes, no, appointment,
       1, 0.9, 0.9, Determiner)

MakeNN(Gegenvorschlag, -, Gegenvorschlge, -e, masc, strong, yes, no,
       process, 1, 0.1, 0.9, Determiner)

MakeNN(Gleittag, -, Gleittage, -e, masc, strong, yes, no, day, 1,
       0.1, 0.9, Determiner)

MakeNN(Grieche, -, Griechen, -n, masc, weak, yes, no, place, 1,
       0.1, 0.9, Determiner)

MakeNNspecial(Greres, Greren, Greren, Greres,,,,, neut, no, no,
              appointment, 0)

MakeNN(Haus, -, Huser, -er, neut, strong, yes, no, place, 1, 0.1,
       0.9, Determiner)

MakeNNspecial(,,Hause,,,,,, neut, yes, no, place, 1, 0.9, 0.9, Determiner)

MakeNN(Idee, -, Ideen, -n, fem, weak, yes, no, concept, 1, 0.1, 0.9,
       Determiner)

MakeNN(Informatik, -, Informatiken, -en, fem, weak, yes, no, concept, 1,
       0.9, 0.9, Determiner)

MakeNNspecial(Karlsruhe, Karlsruhes, Karlsruhe, Karlsruhe,,,,, neut, no,
              no, place, 0)

MakeNN(Konferenz, -, Konferenzen, -en, fem, weak, yes, no, place, 1,
       0.1, 0.9, Determiner)

MakeNNspecial(Laufen, Laufens, Laufen, Laufen,,,,, neut, yes, no, top,
              1, 0.9,, Determiner)

MakeNN(Lokal, -, Lokale, -e, neut, strong, yes, no, place, 1, 0.1, 0.9,
       Determiner)

MakeNN(Maiwoche, -, Maiwochen, -n, fem, weak, yes, no, temporal, 1,
       0.1, 0.1, Determiner)

MakeNNspecial(Mallorca, Mallorcas, Mallorca, Mallorca,,,,, neut, no, no,
              place, 0)

MakeNN(Mrzwoche, -, Mrzwochen, -n, fem, weak, yes, yes, temporal, 1,
       0.1, 0.9, Determiner)

MakeNN(Mensa, -, Mensen, -en, fem, weak, yes, no, place, 1, 0.1, 0.9,
       Determiner)

MakeNN(Minute, -, Minuten, -n, fem, weak, yes, yes, minute, 1, 0.1, 0.1,
       Determiner)

MakeNN(Mittag, -, Mittage, -e, masc, strong, yes, no, time, 1, 0.1, 0.9,
       Determiner)

MakeNN(Mittagessen, -n, Mittagessen, -, neut, strong, yes, no, time, 1,
       0.1, 0.9, Determiner)

MakeNN(Mitte, -, Mitten, -n, fem, weak, yes, no, time_or_place, 1, 0.1,
       0.9, Determiner)

MakeNN(Monat, -, Monate, -e, masc, strong, yes, yes, month, 1, 0.1,
       0.9, Determiner)

MakeNN(Nachmittag, -, Nachmittage, -e, masc, strong, yes, yes, time, 1, 0.1,
       0.9, Determiner)

MakeNN(Oktoberwoche, -, Oktoberwochen, -n, fem, weak, yes, yes, temporal,
       1, 0.1, 0.9, Determiner)

MakeNNspecial(,,,, Ostern, Ostern, Ostern, Ostern, masc, no, no, time, 0)

MakeNN(Planung, -, Planungen, -en, fem, weak, yes, no, appointment, 1, 
       0.1, 0.9, Determiner)

MakeNN(Position, -, Positionen, -en, fem, weak, yes, no, concept, 1,
       0.1, 0.9, Determiner)

MakeNN(Problem, -, Probleme, -e, neut, strong, yes, no, quality, 1,
       0.1, 0.9, Determiner)

MakeNN(Sache, -, Sachen, -n, fem, weak, yes, no, appointment, 1,
       0.1, 0.9, Determiner)

MakeNN(Sekretrin, -, Sekretrinnen, -nen, fem, weak, yes, no, human, 1,
       0.1, 0.9, Determiner)

MakeNN(Seminar, -, Seminare, -e, neut, strong, yes, no, appointment, 1,
       0.1, 0.9, Determiner)

MakeNN(Speise, -, Speisen, -n, fem, weak, yes, no, thing, 0)

MakeNNspecial(Sport, Sports, Sport, Sport,,,,, masc, yes, no, place, 1,
              0.1,, Determiner)

MakeNN(Sportplatz, -, Sportpltze, -e, masc, strong, yes, no, place, 1,
       0.1, 0.9, Determiner)

MakeNN(Stock, -, Stcke, -e, masc, strong, yes, no, place, 1, 0.1, 0.9,
       Determiner)

MakeNN(Tag, -, Tage, -e, masc, strong, yes, yes, day, 1, 0.1, 0.9,
       Determiner)

MakeNNspecial(Tennismatch, Tennismatches, Tennismatch, Tennismatch,
              Tennismatches, Tennismatches, Tennismatches, Tennismatches,
              neut, yes, no, process, 1, 0.1, 0.9, Determiner)

MakeNN(Tennisplatz, -, Tennispltze, -e, masc, strong, yes, no, place, 1,
       0.1, 0.9, Determiner)

MakeNN(Termin, -, Termine, -e, masc, strong, yes, no, appointment, 1,
       0.1, 0.9, Determiner)

MakeNN(Terminkalender, -, Terminkalender, -, masc, strong, yes, no, thing,
       1, 0.1, 0.9, Determiner)

MakeNN(Treffen, -n, Treffen, -, neut, strong, yes, no, appointment, 1,
       0.1, 0.9, Determiner)

MakeNN(Uhr, -, Uhren, -en, fem, weak, yes, no, temporal, 0)

MakeNN(Uhrzeit, -, Uhrzeiten, -en, fem, weak, yes, no, temporal, 1, 0.1,
       0.9, Determiner)

MakeNN(Universitt, -, Universitten, -en, fem, weak, yes, no, place, 1,
       0.1, 0.9, Determiner)

MakeNN(Universittsmensa, -, Universittsmensen, -en, fem, weak, yes, no,
       place, 1, 0.1, 0.9, Determiner)

MakeNN(Urlaub, -, Urlaube, -e, masc, strong, yes, no, local, 1, 0.9, 0.9,
       Determiner)

MakeNN(Vierzehnte, -, Vierzehnten, -n, masc, weak, yes, no, day, 1, 0.9,
       0.9, Determiner)

MakeNN(Vormittag, -, Vormittage, -e, masc, strong, yes, yes, time, 1,
       0.1, 0.9, Determiner)

MakeNN(Vorlesung, -, Vorlesungen, -en, fem, weak, yes, no, process, 1,
       0.1, 0.9, Determiner)

MakeNN(Vorschlag, -, Vorschlge, -e, masc, strong, yes, no, process, 1,
       0.1, 0.9, Determiner)

MakeNNspecial(Washington, Washingtons, Washington, Washington,,,,, neut,
              no, no, place, 0)

MakeNN(Werktag, -, Werktage, -e, masc, strong, yes, no, weekday, 1, 0.1,
       0.9, Determiner)

MakeNN(Woche, -, Wochen, -n, fem, weak, yes, yes, week, 1, 0.1, 0.9,
       Determiner)

MakeNN(Wochenende, -, Wochenenden, -n, neut, mixed, yes, yes, temporal, 1,
       0.1, 0.9, Determiner)

MakeNN(Zahnarzt, -, Zahnrzte, -e, masc, strong, yes, no, human, 1, 0.1,
       0.9, Determiner)

MakeNN(Zeit, -, Zeiten, -en, fem, weak, yes, yes, temporal, 1, 0.9, 0.9,
       Determiner)

MakeNN(Zimmer, -, Zimmer, -, neut, strong, yes, no, place, 2, 0.9, 0.9,
       Determiner, 0.9, 0.9, CARD)

MakeNN(Zugestndnis, -, Zugestndnisse, -se, neut, strong, yes, no, concept,
       1, 0.1, 0.9, Determiner)


// ======================================================================
// Wochentage und Monatsnamen
// ======================================================================

MakeWeekday(Montag)
MakeWeekday(Dienstag)
MakeWeekday(Mittwoch)
MakeWeekday(Donnerstag)
MakeWeekday(Freitag)
MakeWeekday(Samstag)
MakeWeekday(Sonntag)

MakeMonthName(Januar)
MakeMonthName(Februar)
MakeMonthName(Mrz)
MakeMonthName(April)
MakeMonthName(Mai)
MakeMonthName(Juni)
MakeMonthName(Juli)
MakeMonthName(August)
MakeMonthName(September)
MakeMonthName(Oktober)
MakeMonthName(November)
MakeMonthName(Dezember)


// ======================================================================
// Speziallexeme
// ======================================================================

ZEIT :=
[
  cat:NN,
  number:sg,
  person:3,
  case:top,
  gender:top,
  sort:time
];

DATUM :=
[
  cat:NN,
  number:sg,
  person:3,
  case:top,
  gender:top,
  sort:date,
  timeunit:yes,
  args:
  [ 1:
    [ realized:yes, obl:0.9,
      cat:Determiner,
      number:sg
    ]
  ]
];



//////////////////////////////////////////////////////////////////////////////
// Verben
//////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////
// Nicht trennbare Verben
//////////////////////////////////////////////////////////////////////////////

// wollen Vollverb
MakeNonseperableVerbs(
   wollen,
   _FIN,
   `will,willst,will,wollen,wollt,wollen',
   `wollte,wolltest,wollte,wollten,wolltet,wollten',
   `*',
   state,
   ,
   `1: [ realized:yes, 
         obl:0.1, cat:Nominal, case:nom, m4_person, m4_number, sort:top ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, sort:top ]'
)

// habe: Vollverb
MakeNonseperableVerbs(
   haben,
   _MAIN,
   `habe,hast,hat,haben,habt,haben',
   `hatte,hattest,hatte,hatten,hattet,hatten',
   `htte,httest,htte,htten,httet,htten',
   owning,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person, m4_number, role:EXP, sort:top],', 
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc, role:THEME, sort:top],',
   `3: [ realized:yes, obl:0.99, cat:infinit, sort:top]'
)

zu_haben :=
[ cat:INFZU,
  sort:owning,
  loctype:essive,
  perfect:haben
];

// denken: Vollverb
MakeNonseperableVerbs(
   denken,
   _FIN,
   `denke,denkst,denkt,denken,denkt,denken',
   `dachte,dachtest,dachte,dachten,dachtet,dachten',
   `dchte,dchtest,dchte,dchten,dchtet,dchten',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:EXP, sort:human ],',
   `2: ([ realized:yes, obl:0.1, % ich dachte an Montag
	  cat:Adposition, case:an, loctype:lative,
	  role:THEME, sort:top, prepsort:top
	]|[ realized:yes, obl:0.1, % alles andere
	    cat:Inhaltswort, role:THEME, sort:top, prepsort:top ])'
)

// lassen: medial
MakeNonseperableVerbs(
   lassen,
   _medial,
   `lasse,lst,lst,lassen,last,lassen',
   `lie,liet,lie,lieen,liet,lieen',
   `liee,lieest,liee,lieen,liet,lieen',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, m4_person,
	 m4_number, case:nom, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.9, cat:Nominal, case:acc,
	 role:PATIENT, sort:animate ],',
   `3: [ realized:yes, obl:0.1, cat:INF, role:THEME, sort:process ]'
)

// Vollverb: alles andere (siehe grammatik.m4)
MakeNonseperableVerbs(
   sein,
   _MAIN,
   `bin,bist,ist,sind,seid,sind',
   `war,warst,war,waren,wart,waren',
   `wre,wrst,wre,wren,wrt,wren',
   top,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
	 m4_number, role:THEME, sort:top ],',
   `2: [ realized:yes, obl:0.99, cat:Inhaltswort ],',
   `3: [ realized:yes, obl:0.1 ]'
)

// verschieben: Vollverb
MakeNonseperableVerbs(
   verschieben,
   _FIN,
   `verschiebe,verschiebst,verschiebt,verschieben,verschiebt,verschieben',
   `verschob,verschobst,verschob,verschoben,verschobt,verschoben',
   `',
   process,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_number,
  	 m4_person, role:AGENT, sort:human ],', 
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
	 role:THEME, sort:appointment ],',
   `3: [ realized:yes, obl:0.9, cat:Adposition, loctype:lative,
	 prepsort:temporal, sort:top ]'
)

// machen: Vollverb
MakeNonseperableVerbs(
   machen,
   _FIN,
   `mache,machst,macht,machen,macht,machen',
   `machte,machtest,machte,machten,machtet,machten',
   `*',
   process,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
	 m4_number, sort:human, role:AGENT ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
	 role:THEME, sort:top ]'
)

// knnen: Vollverb
MakeNonseperableVerbs(
   knnen,
   _FIN,
   `kann,kannst,kann,knnen,knnt,knnen',
   `konnte,konntest,konnte,konnten,konntet,konnten',
   `knnte,knntest,knnte,knnten,knntet,knnten',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
	 m4_person, m4_number, sort:#1(top|human) ],', 
   `2:  #1( [ realized:yes, obl:0.1, cat:infinit, sort:top ] |
            [ realized:yes, obl:0.9, cat:Adverbial,
      	      sort:temporal, prepsort:temporal ] )'
)

// einigen: Vollverb
// MakeNonseperableVerbs(
//    einigen,
//    _FIN,
//    `einige,einigst,einigt,einigen,einigt,einigen',
//    `einigte,einigtest,einigte,einigten,einigtet,einigten',
//    `*',
//    negotiate,
//    ,
//    `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
// 	 m4_number, sort:human, role:AGENT ],',
//    `2: [ realized:yes, obl:0.1, cat:PPERRF, m4_person, m4_number,
// 	 case:acc, role:PATIENT, sort:human ],',
//    `3: [ realized:yes, obl:0.9, cat:APPR, case:auf, loctype:lative,
// 	 role:THEME, sort:top, prepsort:temporal ]'
// )
// 19.10.2001 KAF
// Funktioniert nicht, weil MakeNonseperableVerbs() m4_number & co.
// nur im 7. Argument auswertet, nicht im 8. Dies ist ein Problem mit allen 
// reflexiven Verben. Stattdessen hier die expandierte Version:

einige := [
   baseform:einigen,
   number:sg, 
   person:1,
   tense:present,mood:indicative,cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:1,number:sg,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:1,number:sg,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigst := [
   baseform:einigen,
   number:sg, 
   person:2,
   tense:present,mood:indicative,cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:2,number:sg,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:2,number:sg,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigt := [
   baseform:einigen,
   number:sg, 
   person:3,
   tense:present,mood:indicative,cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:3,number:sg,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:3,number:sg,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigen := [
   baseform:einigen,
   number:pl, 
   person:1,
   tense:present,mood:indicative,cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:1,number:pl,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:1,number:pl,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigt := [
   baseform:einigen,
   number:pl, 
   person:2,
   tense:present,mood:indicative,cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:2,number:pl,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:2,number:pl,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigen := [
   baseform:einigen,
   number:pl, 
   person:3,
   tense:present,mood:indicative,cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:3,number:pl,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:3,number:pl,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];

// einigen Imperfekt+Indikativ=Prteritum+Konjunktiv

einigte := [
   baseform:einigen,
   number:sg, 
   person:1,
   tense:#1(past|present),mood:#1(indicative|subjunctive),cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:1,number:sg,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:1,number:sg,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigtest := [
   baseform:einigen,
   number:sg, 
   person:2,
   tense:#1(past|present),mood:#1(indicative|subjunctive),cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:2,number:sg,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:2,number:sg,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigte := [
   baseform:einigen,
   number:sg, 
   person:3,
   tense:#1(past|present),mood:#1(indicative|subjunctive),cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:3,number:sg,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:3,number:sg,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigten := [
   baseform:einigen,
   number:pl, 
   person:1,
   tense:#1(past|present),mood:#1(indicative|subjunctive),cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:1,number:pl,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:1,number:pl,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigtet := [
   baseform:einigen,
   number:pl, 
   person:2,
   tense:#1(past|present),mood:#1(indicative|subjunctive),cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:2,number:pl,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:2,number:pl,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];
einigten := [
   baseform:einigen,
   number:pl, 
   person:3,
   tense:#1(past|present),mood:#1(indicative|subjunctive),cat:FIN, sort:negotiate,
   
   args:
    [ 
      1: [ realized:yes,obl:0.1,cat:Nominal,case:nom,person:3,number:pl,sort:human,role:AGENT ],2: [ realized:yes,obl:0.1,cat:PPERRF,person:3,number:pl,case:acc,role:PATIENT,sort:human ],3: [ realized:yes,obl:0.9,cat:APPR,case:auf,loctype:lative,role:THEME,sort:top,prepsort:temporal ]

      
   ]
];

einigen :=
[ cat:INF,
  baseform:einigen,
  sort:negotiate,
  
   args:
   [
    1: [ realized:no, obl:0.0, cat:Nominal, case:nom,
	 sort:human, role:AGENT ],
    2: [ realized:yes, obl:0.1, cat:PPERRF, 
	 case:acc, role:PATIENT, sort:human ],
    3: [ realized:yes, obl:0.9, cat:APPR, case:auf, loctype:lative,
	 role:THEME, sort:top, prepsort:temporal ]

    
   ]
];




// treffen: Vollverb
MakeNonseperableVerbs(
   treffen,
   _FIN,
   `treffe,triffst,trifft,treffen,trefft,treffen',
   `traf,trafst,traf,trafen,traft,trafen',
   `trfe,trfst,trfe,trfen,trft,trfen',
   event,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
	 m4_number, sort:human, role:AGENT ],',
   `2: [ realized:yes, obl:0.1, cat:PPERRF, m4_person, m4_number,
	 case:acc, role:PATIENT, sort:human ],',
   `3: [ realized:yes, obl:0.9, cat:Adverbial, loctype:essive,
	 sort:time_or_place, prepsort:time_or_place ]'
)

zu_treffen :=
[ cat:INFZU,
  sort:event,
  baseform:treffen,
  args:
  [ 1:
    [ realized:no, obl:0.0,
      cat:Nominal,
      role:AGENT,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:PPERRF,
      role:PATIENT,
      sort:human
    ],
    3:
     [ realized:yes, obl:0.9,
       cat:Adverbial, 
       loctype:essive,
       sort:time_or_place,
       prepsort:time_or_place
     ]
  ]
];

// kommen: Vollverb
MakeNonseperableVerbs(
   kommen,
   _FIN,
   `komme,kommst,kommt,kommen,kommt,kommen',
   `kam,kamst,kam,kamen,kamt,kamen',
   `kme,kmst,kme,kmen,kmt,kmen',
   event,
   lative,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
         m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.9, cat:Adverbial, case:prepositional,
	 loctype:lative, sort:top, prepsort:local ]'
)

// meinen: Vollverb
MakeNonseperableVerbs(
   meinen,
   _FIN,
   `meine,meinst,meint,meinen,meint,meinen',
   `meinte,meintest,meinte,meinten,meintet,meinten',
   `*',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
	 m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.9, cat:Inhaltswort, role:THEME,
	 sort:top ]'
)

// versuchen
MakeNonseperableVerbs(
   versuchen,
   _FIN,
   `versuche,versuchst,versucht,versuchen,versucht,versuchen',
   `versuchte,versuchtest,versuchte,versuchten,versuchtet,versuchten',
   `*',
   appointment,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
	 m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
	 role:THEME, sort:top ]'
)

// sehen+THEME
MakeNonseperableVerbs(
   sehen,
   _FIN,
   `sehe,siehst,sieht,sehen,seht,sehen',
   `sah,sahst,sah,sahen,saht,sahen',
   `she,shest,she,shen,sht,shen',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:THEME, sort:top ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
         role:THEME, sort:top ]'
)

// passen
MakeNonseperableVerbs(
   passen,
   _FIN,
   `passe,pat,pat,passen,pat,passen',
   `pate,patest,pate,paten,patet,paten',
   `*',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, m4_person,
	 m4_number, case:nom, role:THEME, sort:top ],', 
   `2: [ realized:yes, obl:0.9, cat:Nominal,
	 case:dat, role:EXP, sort:human ],',
   `3: [ realized:yes, obl:0.9, 
	 cat:Adverbial // ??? der Termin passt mir montags ???
       ]'
)

// Richtung finden
MakeNonseperableVerbs(
   finden,
   _Richtung,
   `finde,findest,findet,finden,findet,finden',
   `fand,fandest,fand,fanden,fandet,fanden',
   `fnde,fndest,fnde,fnden,fndet,fnden',
   process,
   lative,
   `1: [ realized:yes, obl:0.1, cat:Nominal, m4_person,
	 m4_number, role:EXP, sort:human ],',
   `2: [ realized:yes, obl:0.1, case:#1(acc|top),
         cat:#1(Nominal|Adverbial), sort:local ]'
)

// probieren+THEME
MakeNonseperableVerbs(
   probieren,
   _FIN,
   `probiere,probierst,probiert,probieren,probiert,probieren',
   `probierte,probiertest,probierte,probierten,probiertet,probierten',
   `*',
   process,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
	 m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
	 role:THEME, sort:top ]'
)

// haben: mit INFZU
MakeNonseperableVerbs(
   haben,
   _MODALLIKE_ZU,
   `habe,hast,hat,haben,habt,haben',
   `hatte,hattest,hatte,hatten,hattet,hatten',
   `htte,httest,htte,htten,httet,htten',
   state,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, m4_person,
	 m4_number, sort:human, role:EXP ],',
   `2: [ realized:yes, obl:0.1, cat:INFZU]'
)

// gehen: state (geht es bei Ihnen?)
MakeNonseperableVerbs(
   gehen,
   _state,
   `gehe,gehst,geht,gehen,geht,gehen',
   `ging,gingst,ging,gingen,gingt,gingen',
   `ginge,gingest,ginge,gingen,ginget,gingen',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
	 m4_person, m4_number, role:THEME, sort:top ],',
   `2: [ realized:yes, obl:0.9, case:bei, cat:Adposition,
	 prepsort:human, sort:human, role:EXP ]'
)

// gehen: process (wenn unsere Besprechung lnger geht, ...)
// MakeNonseperableVerbs(
//    gehen,
//    _process,
//    `gehe,gehst,geht,gehen,geht,gehen',
//    `ging,gingst,ging,gingen,gingt,gingen',
//    `ginge,gingest,ginge,gingen,ginget,gingen',
//    process,
//    ,
//    `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
// 	 m4_person, m4_number, role:THEME, sort:top ],',
//    `2: [ realized:yes, obl:0.1, cat:Adverbial,
// 	 prepsort:temporal, sort:temporal ]'
// )

// sagen: Vollverb
MakeNonseperableVerbs(
   sagen,
   _FIN,
   `sage,sagst,sagt,sagen,sagt,sagen',
   `sagte,sagtest,sagte,sagten,sagtet,sagten',
   `*',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
	 m4_person, m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.9, cat:Inhaltswort,
	 role:THEME, sort:top, prepsort:top ]'
)

// kennen: Vollverb
MakeNonseperableVerbs(
   kennen,
   _FIN,
   `kenne,kennst,kennt,kennen,kennt,kennen',
   `kannte,kanntest,kannte,kannten,kanntet,kannten',
   `*',
   state,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:EXP, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
         role:THEME, sort:top ]'
)

// fragen: Vollverb
MakeNonseperableVerbs(
   fragen,
   _FIN,
   `frage,fragst,fragt,fragen,fragt,fragen',
   `fragte,fragtest,fragte,fragten,fragtet,fragten',
   `*',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.9, cat:Nominal, case:acc,
         role:EXP, sort:human ],',
   `3: [ realized:yes, obl:0.9, cat:APPR, case:nach,
         role:THEME, sort:top, prepsort:top ]'
)

// werden: Vollverb
MakeNonseperableVerbs(
   werden,
   _FIN,
   `werden,wirst,wird,werden,werdet,werden',
   `wurde,wurdest,wurde,wurden,wurdet,wurden',
   `wrde,wrdest,wrde,wrden,wrdet,wrden',
   process,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:THEME, sort:top ],',
   `2: [ realized:yes, obl:0.1, cat:PRED, case:nom,
         role:QUALITY, sort:top ],',
   `3: [ realized:yes, obl:0.9, cat:Nominal,
	 case:dat, role:EXP, sort:human ]'
)

// glauben: Vollverb
MakeNonseperableVerbs(
   glauben,
   _FIN,
   `glaube,glaubst,glaubt,glauben,glaubt,glauben',
   `glaubte,glaubtest,glaubte,glaubten,glaubtet,glaubten',
   `*',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:EXP, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Inhaltswort, role:THEME,
         sort:top, prepsort:top ]'
)

// finden Ort: Vollverb
MakeNonseperableVerbs(
   finden,
   _Ort,
   `finde,findest,findet,finden,findet,finden',
   `fand,fandest,fand,fanden,fandet,fanden',
   `fnde,fndest,fnde,fnden,fndet,fnden',
   event,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
         role:THEME, sort:top ],',
   `3: [ realized:yes, obl:0.9, cat:Adverbial, sort:local ]'
)

// finden da
MakeNonseperableVerbs(
   finden,
   _da1,
   `finde,findest,findet,finden,findet,finden',
   `fand,fandest,fand,fanden,fandet,fanden',
   `fnde,fndest,fnde,fnden,fndet,fnden',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, m4_person,
	 m4_number, case:nom, role:EXP, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:finit, role:THEME, 
	 sort:top ]'
)

// Was fr ein finden ist das?
// dasselbe wie obiges finden_da ???
MakeNonseperableVerbs(
   finden,
   _da2,
   `finde,findest,findet,finden,findet,finden',
   `fand,fandest,fand,fanden,fandet,fanden',
   `fnde,fndest,fnde,fnden,fndet,fnden',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, m4_person,
	 m4_number, case:nom, role:EXP, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:PPER, number:sg,
	 case:acc, gender:neut ],',
   `3: [ realized:yes, obl:0.1, cat:PRED, role:QUALITY ],',
   `4: [ realized:yes, obl:0.1, cat:finit,
	 role:THEME,  sort:top ]'
)

// gefallen: Vollverb
MakeNonseperableVerbs(
   gefallen,
   _FIN,
   `gefalle,gefllst,gefllt,gefallen,gefallt,gefallen',
   `gefiel,gefielst,gefiel,gefielen,gefielt,gefielen',
   `gefiele,gefielest,gefiele,gefielen,gefielet,gefielen',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1,cat:Nominal, m4_person, 
         m4_number, case:nom, role:THEME, sort:top ],',
   `2: [ realized:yes, obl:0.9, cat:Nominal, case:dat, 
         role:EXP, sort:human ],',
   `3: [ realized:yes, obl:0.9, cat:PRED,
         sort:quality, role:QUALITY ]'
)

// warten: Vollverb
MakeNonseperableVerbs(
   warten,
   _FIN,
   `warte,wartest,wartet,warten,wartet,warten',
   `wartete,wartetest,wartete,warteten,wartetet,warteten',
   `*',
   process,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.9, cat:APPR,
         word:auf, prepsort:top ]'
)

// kombinieren: Vollverb
MakeNonseperableVerbs(
   kombinieren,
   _FIN,
   `kombiniere,kombinierst,kombiniert,kombinieren,kombiniert,kombinieren',
   `kombinierte,kombiniertest,kombinierte,kombinierten,kombiniertet,kombinierten',
   `*',
   state,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:THEME, sort:top ],',
   `2: [ realized:yes, obl:0.1, cat:PRED, case:nom,
         role:QUALITY, sort:top ]'
)

// geben: Vollverb
MakeNonseperableVerbs(
   geben,
   _FIN,
   `gebe,gibst,gibt,geben,gebt,geben',
   `gab,gabst,gab,gaben,gabt,gaben',
   `gbe,gbst,gbe,gben,gbt,gben',
   existence,
   ,
   `1: [ realized:yes, obl:0.1, cat:PPER, case:nom,
         m4_person, m4_number, word:es ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc ]'
)

// wissen: Vollverb
MakeNonseperableVerbs(
   wissen,
   _FIN,
   `wei,weit,wei,wissen,wit,wissen',
   `wute,wutest,wute,wuten,wutet,wuten',
   `wte,wtest,wte,wten,wtet,wten',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom, 
         m4_person, m4_number, role:EXP, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:finit, role:THEME,
         sort:top, prepsort:top ]'
)

// bleiben: Vollverb
MakeNonseperableVerbs(
   bleiben,
   _FIN,
   `bleibe,bleibst,bleibt,bleiben,bleibt,bleiben',
   `blieb,bliebst,blieb,blieben,bliebt,blieben',
   `bliebe,bliebest,bliebe,blieben,bliebet,blieben',
   state,
   ,
   `1: [ realized:yes, obl:0.9, cat:PPER, case:nom,
         m4_person, m4_number, word:es ],',
   `2: [ realized:yes, obl:0.9, case:dat,
         cat:Nominal, sort:human, role:EXP ],',
   `3: [ realized:yes, obl:0.1, cat:Nominal,
         case:nom, sort:top ]'
)

// bieten: Vollverb
MakeNonseperableVerbs(
   bieten,
   _FIN,
   `biete,bietest,bietet,bieten,bietet,bieten',
   `bot,botest,bot,boten,botet,boten',
   `bte,btest,bte,bten,btet,bten',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, case:nom,
         m4_person, m4_number, role:THEME, sort:top ],',
   `2: [ realized:yes, obl:0.1, cat:PPERRF, number:sg,
         person:3 ],',
   ,
   `4: [ realized:yes, obl:0.0, cat:PTKVZS, word:an ]'
)

// heien: Vollverb
MakeNonseperableVerbs(
   heien,
   _FIN,
   `heie,heit,heit,heien,heit,heien',
   `hie,hiet,hie,hieen,hiet,hieen',
   `hiee,hieest,hiee,hieen,hieet,hieen',
   state,
   ,
   `1: [ realized:yes, obl:0.1, cat:PROS, case:nom, 
         m4_person, m4_number, word:das ],',
   `2: [ realized:yes, obl:0.1, cat:finit, role:THEME,
         sort:top ]'
)

// brauchen: Vollverb
MakeNonseperableVerbs(
   brauchen,
   _FIN,
   `brauche,brauchst,braucht,brauchen,braucht,brauchen',
   `brauchte,brauchtest,brauchte,brauchten,brauchtet,brauchten',
   `bruchte,bruchtest,bruchte,bruchten,bruchtet,bruchten',
   process,
   essive,
   `1: [ realized:yes, obl:0.1, cat:Nominal, m4_person,
         m4_number, case:nom, role:AGENT, sort:human ], ',
   `2: [ realized:yes, obl:0.1, cat:Nominal_oder_Adverbial,
         role:THEME, sort:top ]'
)

// lassen: Vollverb
MakeNonseperableVerbs(
   lassen,
   _FIN,
   `lasse,lt,lt,lassen,lat,lassen',
   `lie,liet,lie,lieen,liet,lieen',
   `liee,lieest,liee,lieen,lieet,lieen',
   judgement,
   ,
   `1: [ realized:yes, obl:0.1, cat:Nominal, m4_person,
         m4_number, case:nom, role:THEME ],',
   `2: [ realized:yes, obl:0.1, cat:PPERRF, 
         case:acc, word:sich ],',
   `3: [ realized:yes, obl:0.1, cat:infinit ]'
)

// whlen: Vollverb
MakeNonseperableVerbs(
   whlen,
   _FIN,
   `whle,whlst,whlt,whlen,whlt,whlen',
   `whlte,whltest,whlte,whlten,whltet,whlten',
   `*',
   event,
   ,
   `1: [ realized:yes, obl:0.0, cat:Nominal, m4_person, m4_number,
         case:nom,  role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
         role:THEME, sort:time_or_place ]'
)

// gehen_Richtung: Vollverb
MakeNonseperableVerbs(
   gehen,
   _Richtung,
   `gehe,gehst,geht,gehen,geht,gehen',
   `ging,gingst,ging,gingen,gingt,gingen',
   `ginge,gingest,ginge,gingen,ginget,gingen',
   process,
   lative,
   `1: [ realized:yes, obl:0.0, cat:Nominal, m4_person,
         m4_number, case:nom, role:AGENT, sort:human ],',
   `2: ( [ realized:yes, obl:0.1, cat:Adverbial, sort:local,
           loctype:lative ] |
         [ realized:yes, obl:0.1, cat:INF, sort:process ] )'
)

// trainieren: Vollverb
MakeNonseperableVerbs(
   trainieren,
   _FIN,
   `trainiere,trainierst,trainiert,trainieren,trainiert,trainieren',
   `trainierte,trainiertest,trainierte,trainierten,trainiertet,trainierten',
   `*',
   process,
   ,
   `1: [ realized:yes, obl:0.0, cat:Nominal, m4_person,
         m4_number, case:nom, role:AGENT, sort:human ]'
)

// legen: Vollverb
MakeNonseperableVerbs(
   legen,
   _FIN,
   `lege,legst,legt,legen,legt,legen',
   `legte,legtest,legte,legten,legtet,legten',
   `*',
   process,
   ,
   `1: [ realized:yes, obl:0.0, cat:Nominal, m4_person,
         m4_number, case:nom, role:AGENT, sort:human ], ',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
         role:THEME, sort:top ],',
   `3: [ realized:yes, obl:0.1, cat:Adverbial, loctype:lative ]'
)

// vereinbaren: Vollverb
MakeNonseperableVerbs(
   vereinbaren,
   _FIN,
   `vereinbare,vereinbarst,vereinbart,vereinbaren,vereinbart,vereinbaren',
   `vereinbarte,vereinbartest,vereinbarte,vereinbarten,vereinbartet,vereinbarten',
   `*',
   negotiate,
   ,
   `1: [ realized:yes, obl:0.0, cat:Nominal, m4_person,
         m4_number, case:nom, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
         role:THEME, sort:appointment ]'
)

// erledigen: Vollverb
MakeNonseperableVerbs(
   erledigen,
   _FIN,
   `erledige,erledigst,erledigt,erledigen,erledigt,erledigen',
   `erledigte,erledigtest,erledigte,erledigten,erledigtet,erledigten',
   `*',
   process,
   essive,
   `1: [ realized:yes, obl:0.0, cat:Nominal, m4_person,
         m4_number, case:nom, role:AGENT, sort:human ],',
   `2: [ realized:yes, obl:0.1, cat:Nominal, case:acc,
         role:THEME, sort:top ]'
)

// essen: Vollverb
MakeNonseperableVerbs(
   essen,
   _FIN,
   `esse,it,it,essen,et,essen',
   `a,aest,a,aen,aet,aen',
   `e,est,e,en,et,en',
   process,
   ,
   `1: [ realized:yes, obl:0.0, cat:Nominal, m4_person,
         m4_number, role:AGENT, sort:human ]'
)

laufen :=
[ cat:INF, 
  sort:process
];

zu_arbeiten :=
[ cat:INFZU, 
  sort:process
];

zu_erreichen :=
[ cat:INFZU,
  sort:event,
  loctype:essive
];


//////////////////////////////////////////////////////////////////////////////
// Trennbare Verben
//////////////////////////////////////////////////////////////////////////////

// vorhabe: Vollverb
MakeAllVerbs(
   `haben',
   `_vor',
   `habe,hast,hat,haben,habt,haben',
   `hatte,hattest,hatte,hatten,hattet,hatten',
   `htte,httest,htte,htten,httet,htten',
   `cat:FIN,
   sort:state,
   args: [ 
      1: [
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person, 
	 m4_number,
	 sort:human,
	 role:EXP
      ],
      2: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,	
	 case:acc,
	 sort:appointment
      ],
      3: [ 
	 realized:yes, obl:0.9, 
	 cat:Adverbial,
	 prepsort:temporal
      ],
      4: [ 
	 realized:yes, obl:0.0,
	 cat:PTKVZS,
	 word:vor
      ]
   ]'
)

// frei haben: Vollverb
MakeAllVerbs(
   `haben',
   `_frei',
   `habe,hast,hat,haben,habt,haben',
   `hatte,hattest,hatte,hatten,hattet,hatten',
   `htte,httest,htte,htten,httet,htten',
   `cat:FIN,
   sort:state,
   loctype: essive,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number,
	 sort:human,
	 role:EXP
      ],
      2: [ 
	 realized:yes, obl:0.9, 
	 cat:Nominal,
	 case:acc,
	 role:THEME,
	 sort:temporal
      ],
      4: [ 
	 realized:yes, obl:0.0, 
	 cat:PTKVZS,	
	 word:frei
      ]
   ]'
)

// lassen wir es dabei
MakeAllVerbs(
   `lassen',
   `_bei',
   `lasse,lst,lst,lassen,last,lassen',
   `lie,liet,lie,lieen,liet,lieen',
   `liee,lieest,liee,lieen,liet,lieen',
   `cat:FIN,
   sort:state,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 m4_person,
	 m4_number,
	 case:nom,
	 role:AGENT,
	 sort:human
      ],
      2: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:acc,
	 sort:bot
      ],
      3: [ 
	 realized:yes, obl:0.9,
	 cat:APPR,
	 case:bei
      ]
   ]'
)

// Bescheid sagen
MakeAllVerbs(bescheidsagen,_bescheid,
   `sage,sagst,sagt,sagen,sagt,sagen',
   `sagte,sagtest,sagte,sagten,sagtet,sagten',
   `*',
   `cat:FIN, 
   sort:process, 
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal, 
	 case:nom, 
	 m4_person,
	 m4_number,
	 role:AGENT, 
	 sort:human
      ], 
      2: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:dat,
	 role:EXP,
	 sort:human
      ],
      3:  [ 
	 realized:yes, obl:0.0,
	 cat:PTKVZS,
	 word:Bescheid
      ]
   ]'
)

// gelegen kommen: Vollverb
MakeAllVerbs(gelegenkommen,_gelegen_FIN,
   `komme,kommst,kommt,kommen,kommt,kommen',
   `kam,kamst,kam,kamen,kamt,kamen',
   `kme,kmst,kme,kmen,kmt,kmen',
   `cat:FIN,
   sort:judgement,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number,
	 role:THEME,
	 sort:top
      ],
      2: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:dat,
	 sort:human,
	 role:EXP
      ],
      3: [ 
	 realized:yes, obl:0.0,
	 cat:ADJP,
	 word:gelegen
      ]
   ]'
)

// zusammen fassen: Vollverb
MakeAllVerbs(zusammenfassen,_zusammen_FIN,
   `fasse,fat,fat,faen,fat,fassen',
   `fate,fatest,fate,faten,fatet,faten',
   `*',
   `cat:FIN,
   sort:process,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number,
	 role:AGENT,
	 sort:human
      ],
      2: [ 
	 realized:yes, obl:0.9,
	 cat:Nominal,
	 case:acc,
	 sort:concept 
      ], 
      4: [ 
	 realized:yes, obl:0.001,
	 cat:PTKVZS,
	 word:zusammen
      ] 
   ]'
)

fassen :=
[ cat:INF,
  sort:process,
  baseform:zusammenzufassen,
  args:
  [ 
   1: [ 
      realized:no, obl:0.0,
      cat:Nominal,
      role:AGENT,
      sort:human
   ],
   2: [ 
      realized:yes, obl:0.9,
      cat:Nominal,
      case:acc,
      sort:concept 
   ], 
   4: [ 
      realized:yes, obl:0.0,
      cat:PTKVZS,
      word:zusammen
   ] 
  ]
];

tut :=
[ cat:FIN,
  person:#1(2|3),
  number:#1(pl|sg),
  tense:present,
  mood:indicative,
  sort:emotion,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Pronomen,
      person:#1(2|3), 
      number:#1(pl|sg),
      gender:neut,
      case:nom, 
      sort:top,
      role:THEME
    ], 
    2:			
    [ realized:yes, obl:0.1, 	
      cat:Nominal, 
      sort:human,
      role:EXP
    ],
    4:
    [ realized:yes, obl:0.001, 
      cat:PTKVZS,
      word:leid
    ]
  ]
];

// vorschlagen
MakeAllVerbs(vorschlagen, FIN,
   `schlage,schlagst,schlgt,schlagen,schlagt,schlagen',
   `schlug,schlugst,schlug,schlugen,schlugt,schlugen',
   `schlge,schlgest,schlge,schlgen,schlget,schlgen',
   `cat:FIN,
   sort:negotiate,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal, 
	 case:nom, 
	 m4_person,
	 m4_number,
	 role:AGENT, 
	 sort:human
      ], 
      2: (
      [ 
	 realized:yes, obl:0.1,
	 cat:Nominal,
	 case:acc,
	 role:THEME,
	 sort:time_or_place
      ] | [ 
	 realized:yes, obl:0.1,
	 cat:(INFZU|finit),
	 role:THEME
      ]),
      3: [ 
	 realized:yes, obl:0.9,
	 cat:Nominal,
	 case:dat,
	 role:EXP,
	 sort:human
      ],
      4:  [ 
	 realized:yes, obl:0.001,
	 cat:PTKVZS,
	 word:vor      ]
   ]'
)

vorschlagen :=
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    (
      [ realized:yes, obl:0.1,
	cat:Nominal,
	case:acc,
	role:THEME,
	sort:time_or_place
      ]
     |
      [ realized:yes, obl:0.1,
	cat:(INFZU|finit),
	role:THEME
      ]
      ),
    3:
    [ realized:yes, obl:0.9,
      cat:Nominal,
      case:dat,
      role:EXP,
      sort:human
    ]
  ]
];

vorzuschlagen :=
[ cat:INFZU, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:time_or_place
    ],
    3:
    [ realized:yes, obl:0.9,
      cat:Nominal,
      case:dat,
      role:EXP,
      sort:human
    ]
  ]
];

anschaue :=
[ cat:FIN, 
  person:1,
  number:sg,
  pos:SOV,
  tense:present,
  mood:indicative,
  sort:process, 
  loctype:essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal, 
      case:nom, 
      person:1,
      number:sg,
      role:EXP, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:thing
    ]
  ]
];

// aussehen
MakeAllVerbs(aussehen,_aus_FIN,
   `sehe,siehst,sieht,sehen,seht,sehen',
   `sah,sahst,sah,sahen,saht,sahen',
   `she,shest,she,shen,sht,shen',
   `cat:FIN,
   pos:SVO,
   sort:quality,
   loctype:essive,
   args:
   [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      m4_person,
      m4_number,
      role:THEME,
      sort:top
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:PRED,
      case:nom,
      role:QUALITY,
      sort:top 
    ],
    3:
    [ realized:yes, obl:0.9,
      cat:APPR,
      word:mit
    ],
    4:
    [ realized:yes, obl:0.0,
      cat:PTKVZS,
      word:aus
    ]
  ]'
)

aussehen := [
   baseform:aussehen,
   number:pl, 
   person:3,
   tense:present,mood:indicative,cat:FIN,
   pos:SOV,
   sort:state,
   args:
   [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:3,
      number:pl,
      role:THEME,
      sort:top
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:PRED,
      case:nom,
      role:QUALITY,
      sort:top 
    ]
  ]
];

aussehen :=
[ cat:INF,
  baseform:aussehen,
  sort:quality,
  loctype:essive,
  args:
  [ 1:
    [ realized:no, obl:0.0,
      cat:Nominal,
      role:THEME,
      sort:top
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:PRED,
      case:nom,
      role:QUALITY,
      sort:top 
    ]
  ] 
];

// anbieten
MakeAllVerbs(anbieten,_an,
   `biete,bietest,bietet,bieten,bietet,bieten',
   `bot,botest,bot,boten,botet,boten',
   `bte,btest,bte,bten,btet,bten',
   `cat:FIN,
   sort:negotiate,
   args:
   [ 1:
      [ realized:yes, obl:0.1, 
	 cat:Nominal, 
	 case:nom, 
	 role:AGENT, 
	 m4_person,
	 m4_number,
	 sort:human
      ], 
      2:
      [ realized:yes, obl:0.1,
	 cat:Nominal,
	 case:acc,
	 role:THEME,
	 sort:time_or_place
      ],
      3:
      [ realized:yes, obl:0.9,
	 cat:Nominal,
	 case:dat,
	 role:EXP,
	 sort:human
      ],
      4: [ 
	 realized:yes, obl:0.9, // ich biete dir viel Geld (an)
	 cat:PTKVZS,
	 word:an
      ]
   ]'
)

anbieten :=
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:time_or_place
    ],
    3:
    [ realized:yes, obl:0.9,
      cat:Nominal,
      case:dat,
      role:EXP,
      sort:human
    ]  
  ]
];

anzubieten :=
[ cat:INFZU,
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:time_or_place
    ],
    3:
    [ realized:yes, obl:0.9,
      cat:Nominal,
      case:dat,
      role:EXP,
      sort:human
    ]  
  ]
];

// TODO
// aufpassen, anpassen, durch etwas hindurch passen

// TODO
// ausprobieren, durchprobieren, anprobieren

// TODO:
// sehen+Adverb, zusehen, ansehen, durchsehen, bersehen, 
// ber etwas hinwegsehen, durch etwas hindurchsehen, einsehen
// besehen ...

halte :=
[ cat:FIN,
  baseform:festhalten,
  person:1,
  number:sg,
  tense:present,
  sort:state,
  mood:indicative,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:1,
      number:sg,
      role:AGENT,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      sort:concept 
    ], 
    4:
    [ realized:yes, obl:0.001,
      cat:PTKVZS,
      word:fest
    ] 
  ] 
];

festhalten :=
[ cat:INF,
  baseform:festhalten,
  sort:state,
  args:
  [ 1:
    [ realized:no, obl:0.0,
      cat:Nominal,
      role:AGENT,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      sort:concept 
    ]
  ] 
];

kennen :=
[ cat:FIN,
  baseform:auskennen,
  pos:SVO,
  loctype:essive,
  person:#1(1|3),
  number:pl,
  tense:present,
  sort:state,
  mood:indicative,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:#1(1|3),
      number:pl,
      role:EXP,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:PPERRF,
      number:pl,
      person:#1(1|3),
      case:acc
    ], 
    3:
    [ realized:yes, obl:0.9,
      cat:Adverbial,
      loctype:essive, 
      sort:local
    ],
    4:
    [ realized:yes, obl:0.0,
      cat:PTKVZS,
      word:aus
    ] 
  ] 
];

machen :=
[ cat:FIN,
  baseform:festmachen,
  person:#1(1|3),
  number:pl,
  tense:present,
  sort:state,
  mood:indicative,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:#1(1|3),
      number:pl,
      role:AGENT,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      sort:concept 
    ], 
    4:
    [ realized:yes, obl:0.0,
      cat:PTKVZS,
      word:fest
    ] 
  ] 
];

lockert :=
[ cat:FIN,
  pos:SVO,
  person:3,
  number:sg,
  tense:present,
  mood:indicative,
  sort:state,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:3,
      number:sg,
      role:THEME,
      sort:top 
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc
    ],
    4:
    [ realized:yes, obl:0.001,
      cat:PTKVZS,
      word:auf
    ]
  ] 
];

vormachen :=
[ cat:FIN, 
  pos:SOV,
  person:#1(1|3),
  number:pl,
  tense:present,
  mood:indicative,
  sort:process, 
  loctype:essive,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal, 
      person:#1(1|3),
      number:pl,
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:top
    ]
  ]
];

fllt :=
[ cat:FIN, 
  person:3,
  number:sg, 
  tense:present, 
  mood:indicative, 
  sort:judgement, 
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:finit, 
      role:THEME 
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal, 
      case:dat, 
      role:EXP,
      sort:human
    ],
    4:
    [ realized:yes, obl:0.001,
      cat:PTKVZS, 
      word:ein 
    ]
  ]
];

ausmachen :=
[ cat:INF, 
  sort:negotiate, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:appointment
    ]
  ]
];

einnehmen :=
[ cat:INF, 
  sort:process, 
  loctype:essive,
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:top
    ]
  ]
];

vorziehen :=
[ cat:INF,
  sort:process,
  baseform:vorziehen,
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:top
    ]
  ]
];

zurckgreifen :=
[ cat:INF, 
  sort:process, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:APPR,
      word:auf,
      loctype:lative,
      role:THEME,
      prepsort:time_or_place
    ]
  ]
];

mitteilen :=
[ cat:INF, 
  sort:process, 
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME
    ],
    3:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:dat,
      role:EXP,
      sort:human
    ]
  ]
];

gehe :=
[ cat:FIN, 
  sort:state, 
  baseform:richtiggehen,
  person:1,
  number:sg,
  tense:present,
  mood:indicative,
  args:
  [ 1:
    [ realized:yes, obl:0.1, 
      cat:Nominal, 
      person:1,
      number:sg,
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.0,
      cat:PTKVZS,
      word:richtig
    ],
    3:
    [ realized:yes, obl:0.1,
      cat:APPR,
      word:in,
      loctype:essive
    ]
  ]
];

durchzufhren :=
[ cat:INFZU, 
  sort:process, 
  loctype:essive,
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:appointment
    ]
  ]
];


//////////////////////////////////////////////////////////////////////////////
// Kategorie PPP
//////////////////////////////////////////////////////////////////////////////

abgesprochen :=
[ cat: PPP, 
  sort:negotiate, 
  perfect:haben,
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      case:nom, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      role:THEME,
      sort:appointment
    ]
  ]
];

gehalten :=
[ cat:PPP,
  baseform:halten,
  perfect:haben,
  sort:state,
  args:
  [ 1:
    [ realized:no, obl:0.0,
      cat:Nominal,
      role:AGENT,
      sort:human
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:acc,
      sort:appointment 
    ] 
  ] 
];

gelaufen :=
[ cat:PPP, 
  sort:process, 
  perfect:sein,
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      role:AGENT, 
      sort:human
    ]
  ]
];

gehrt :=
[ cat:PPP, 
  sort:process, 
  perfect:haben,
  args:
  [ 1:
    [ realized:no, obl:0.0, 
      cat:Nominal, 
      role:AGENT, 
      sort:human
    ], 
    2:
    [ realized:yes, obl:0.9,
      cat:Inhaltswort,
      role:THEME,
      sort:top
    ]
  ]
];


//////////////////////////////////////////////////////////////////////////////
// Kategorie VAUXFIN
//////////////////////////////////////////////////////////////////////////////

// --------------------------------------------------
// haben
// --------------------------------------------------
// haben: Auxiliar mit Partizip
MakeAllVerbs(
   `haben',
   `_AUX',
   `habe,hast,hat,haben,habt,haben',
   `hatte,hattest,hatte,hatten,hattet,hatten',
   `htte,httest,htte,htten,httet,htten',
   `cat:VAUXFIN,
   sort:state,
   args: [ 
      1: [ 
	 realized:yes, obl:0.1, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
      2: [ 
	 realized:yes, obl:0.1,
	 cat:Partizip
      ]
   ]'
)

// --------------------------------------------------
// sein
// --------------------------------------------------
// "sein" ist stark unterspezifiziert. Dafr gibt es 
// einige spezielle Constraints dafr.

// Auxiliar: "Ich habe gewonnen." und "Die Konferenz ist erffnet."
MakeAllVerbs(
   `sein',
   `_AUX',
   `bin,bist,ist,sind,seid,sind',
   `war,warst,war,waren,wart,waren',
   `wre,wrst,wre,wren,wrt,wren',
   `cat:VAUXFIN,
   sort:top,
   args: [ 
      1: [ 
	 realized:yes, obl:0.0, 
	 cat:Nominal,
	 case:nom,
	 m4_person,
	 m4_number
      ],
      2: [ 
	 realized:yes, obl:0.0,
	 cat:Partizip
      ]
   ]'
)

wrde :=
[ cat:VAUXFIN,
  person:#1( 1|3 ),
  number:sg,
  tense:pret,
  sort:process,
  mood:subjunctive,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:#1(1|3),
      number:sg,
      sort:top
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:infinit, 
      sort:top  
    ] 
  ] 
];

werde :=
[ cat:VAUXFIN,
  person:#1( 1|3 ),
  number:sg,
  tense:present,
  mood:indicative,
  sort:process,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:#1(1|3),
      number:sg,
      sort:top
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:infinit, 
      sort:top  
    ] 
  ] 
];

wrden :=
[ cat:VAUXFIN,
  person:#1( 1|3 ),
  number:pl,
  tense:pret,
  sort:process,
  mood:subjunctive,
  args:
  [ 1:
    [ realized:yes, obl:0.1,
      cat:Nominal,
      case:nom,
      person:#1(1|3),
      number:pl,
      sort:top
    ],
    2:
    [ realized:yes, obl:0.1,
      cat:infinit,
      sort:top
    ] 
  ] 
];


//////////////////////////////////////////////////////////////////////////////
// Kategorie VMODFIN und VMODINF
//////////////////////////////////////////////////////////////////////////////

// mssen: Modalverb
MakeVMOD(
   mssen,
   `mu,mut,mu,mssen,mt,mssen',
   `mute,mutest,mute,muten,mutet,muten',
   `mte,mtest,mte,mten,mtet,mten')

// knnen: Modalverb
MakeVMOD(
   knnen,
   `kann,kannst,kann,knnen,knnt,knnen',
   `konnte,konntest,konnte,konnten,konntet,konnten',
   `knnte,knntest,knnte,knnten,knntet,knnten')

// sollen: Modalverb
MakeVMOD(
   sollen,
   `soll,sollst,soll,sollen,sollt,sollen',
   `sollte,solltest,solltet,sollten,solltet,sollten',
   `*')

// wollen: Modalverb
MakeVMOD(
   wollen,
   `will,willst,will,wollen,wollt,wollen',
   `wollte,wolltest,wollte,wollten,wolltet,wollten',
   `*')
