#!/bin/sh
#\
exec tclsh "$0" "$@" 
# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

source loadtclbindings

testCmdEval "set preprocessor /bin/zcat";
testCmdEval "set prepsuffix .gz";
testCmdEval "load @TESTGRAMMAR@";

for {set l [InputStruct_files_get [inputCurrentGrammar_get]]; set count 1} \
    {$l != "NULL"} \
    {set l [ListStruct_next_get $l]; incr count} {
   set filenamePointer [ListStruct_item_get $l]
   putsDebug "$count: filenamePointer=$filenamePointer\n"
   set filenameString [pointer2string $filenamePointer]
   putsDebug "$count: filenameString=$filenameString\n"
}
